package com.scbfkj.uni.system;

import com.scbfkj.uni.service.DataProcessService;

import java.util.HashMap;

public class ScheduleTask implements Runnable {


    private String id; // 服务ID

    public String getId() {
        return id;
    }

    Integer loopCount = 0;
    int count = 0;

    public ScheduleTask(String id, Integer loopCount) {
        this.id = id;
        this.loopCount = loopCount;
    }

    @Override
    public void run() {

        do {
            if (loopCount > 0) {
                count++;
            }
            try {
                DataProcessService.process(new HashMap<>() {{
                    put("serviceid", id);
                }});
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        } while (loopCount > count);
    }


}
