package com.scbfkj.uni;

import jakarta.servlet.http.Cookie;
import org.junit.jupiter.api.BeforeEach;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mock.web.MockCookie;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

@SpringBootTest
@ActiveProfiles("dev")
public class ControllerBaseTest {


    protected MockMvc mockMvc;

    protected Cookie cookie = MockCookie.parse("JSESSIONID=78C3FBDF21FFFBE46B8DD728D5C5DBF7");
    protected static String token;

    @BeforeEach
    public void before (WebApplicationContext webApplicationContext){
        mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
    }
}
