package com.scbfkj.uni;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


class UniApplicationTests {
	private final static Map<String, List<String>> alias = new HashMap<>();

	static {
		alias.put("appid", List.of("appid", "app_id", "appId", "APPID"));
		alias.put("appsecret", List.of("appSecret", "app_secret", "APP_SECRET", "appsecret", "APPSECRET"));
		alias.put("sessionid", List.of("sessionId", "sessionid", "SESSIONID", "SESSION_ID", "session_id"));
		alias.put("requestip", List.of("requestIp", "requestip", "request_ip", "REQUEST_IP", "request_ip", "REQUESTIP", "ip"));
		alias.put("username", List.of("username", "userName", "user_name", "USER_NAME", "USERNAME"));
		alias.put("password", List.of("password", "pwd", "PWD", "PASSWORD"));
		alias.put("version", List.of("version", "Version", "VERSION"));
		alias.put("verifycode", List.of("verifycode", "verifyCode", "code"));
	}
	@Test
	void contextLoads() {
		String sql ="insert into keyalias (keyname,aliasname) values";
		StringBuilder stringBuilder = new StringBuilder(sql);
		alias.forEach((key,value)->{

		value.forEach(it->{
			stringBuilder.append("('%s','%s'),".formatted(key,it));
		});
		});

		System.out.println(stringBuilder);
	}

}
