package com.scbfkj.uni.api;

import com.scbfkj.uni.service.ControlService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("controlApi")
public class ControlApi {
    @PostMapping("start")
    public ResponseEntity<Map<String,Object>> start(@RequestHeader Map<String, String> headers, @RequestBody Map<String, Object> body) throws Exception {
        Map<String, Object> started = ControlService.startOrStop(body, "1");
        return ResponseEntity.ok(started);
    }

    /**
     * 主动采集与被动采集的停止
     *
     * @param body 请求内容
     * @return
     */
    @PostMapping("stop")
    public ResponseEntity<Map<String,Object>> stop(@RequestBody Map<String, Object> body) throws Exception {
        Map<String, Object> stoped = ControlService.startOrStop(body, "0");
        return ResponseEntity.ok(stoped);
    }
}
